Measure logo
REST API ReferenceDashboard APIANRs

Fetch an app's ANR overview instances plot (deprecated)

Deprecated

GET/apps/{id}/anrGroups/plots/instances

Fetch an app's ANR overview instances plot aggregated by date range & version.

Deprecated: Use GET /apps/{id}/errorGroups/plots/instances instead.

Both versions & version_codes should be present if any one of them is present. Both from and to MUST be present when specifying a date range.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

Start time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

to?string

End time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

plot_time_group?string

Time bucket used for plot aggregation. Accepted values: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated version identifier strings to return ANR groups that have events matching the version.

version_codes?string

List of comma separated version codes to return ANR groups that have events matching the version code.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

Expression in JSON to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/anrGroups/plots/instances"
[  {    "id": "7.61 (9400)",    "data": [      {        "anr_free_sessions": 100,        "datetime": "2024-04-29",        "instances": 0      }    ]  },  {    "id": "7.62 (9223)",    "data": [      {        "anr_free_sessions": 100,        "datetime": "2024-04-29",        "instances": 0      }    ]  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue